Contents
Package com.hypixel.hytale.server.core.auth
package com.hypixel.hytale.server.core.auth
-
ClassDescriptionCentralized authentication service URLs and configuration.Provider interface for creating
IAuthCredentialStoreinstances.Utility methods for X.509 certificate handling and validation.Credential store that persists to an AES-256-GCM encrypted file.Provider for encrypted credential storage (AES-256-GCM).Thrown when an HTTP request receives an error status code.Validates JWT access tokens from the Session Service.Parsed and validated identity token claims (from launcher).Parsed and validated JWT claims.Parsed and validated session token claims.Credential store provider that keeps credentials in memory only.HTTP client for communicating with the Profile Service API.Public game profile returned by the Profile Service.Manages the server's authentication credentials for mutual authentication.Authentication mode.Result of an OAuth authentication attempt.HTTP client for communicating with the Session Service API.Response from /server-join/auth-tokenResponse from /server-join/auth-grantGame profile from Account Data serviceResponse from POST /game-session/refresh and POST /game-session/childIndividual key in JWKSResponse from /.well-known/jwks.jsonResponse from GET /my-account/get-launcher-data